| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
noc_block_base.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/property_tree.hpp>`
`#include <uhd/rfnoc/block_id.hpp>`
`#include <uhd/rfnoc/defaults.hpp>`
`#include <uhd/rfnoc/node.hpp>`
`#include <uhd/rfnoc/register_iface_holder.hpp>`
`#include <uhd/rfnoc/rfnoc_types.hpp>`
`#include <uhd/types/device_addr.hpp>`
`#include <uhd/rfnoc/noc_block_make_args.hpp>`

Go to the source code of this file.

## Classes
class | uhd::rfnoc::noc_block_base

## Namespaces
namespace | uhd
namespace | uhd::rfnoc

## Macros
#define | RFNOC_BLOCK_CONSTRUCTOR(CLASS_NAME)
| Shorthand for block constructor.
#define | RFNOC_DECLARE_BLOCK(CLASS_NAME)

## Macro Definition Documentation

## ◆ RFNOC_BLOCK_CONSTRUCTOR

#define RFNOC_BLOCK_CONSTRUCTOR | ( |  | CLASS_NAME | ) |

Value:
CLASS_NAME##_impl(make_args_ptr make_args) : CLASS_NAME(std::move(make_args))
std
STL namespace.

Shorthand for block constructor.

## ◆ RFNOC_DECLARE_BLOCK

#define RFNOC_DECLARE_BLOCK | ( |  | CLASS_NAME | ) |

Value:
using sptr = std::shared_ptr<CLASS_NAME>; \
CLASS_NAME(make_args_ptr make_args) : noc_block_base(std::move(make_args)) {}